---
updatedAt: 2026-06-30T22:56:24.000Z
agentTools:
  projectIndex: https://docs.moderntreasury.com/platform/llms.txt
---

# Create Document

To test this endpoint, we recommend using an API tool like Postman.

A category given to the document, can be `null`. When creating documents as part of a Legal Entity:

* **Entity-level**: `articles_of_incorporation`, `certificate_of_good_standing`, `generic`, `proof_of_address`
* **Identification-level**: `identification_front`, `identification_back`, `ein_letter`

Submitting an invalid type via the Legal Entities API will return a 422.

When creating documents via the Documents API (`POST /api/documents`), any string value is accepted regardless of `documentable_type`.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "modern-treasury-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.moderntreasury.com/api"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/documents": {
      "post": {
        "summary": "Create Document",
        "description": "To test this endpoint, we recommend using an API tool like Postman.",
        "operationId": "create-document",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "file",
                  "documentable_id",
                  "documentable_type"
                ],
                "properties": {
                  "documentable_id": {
                    "type": "string"
                  },
                  "documentable_type": {
                    "type": "string"
                  },
                  "file": {
                    "type": "string",
                    "format": "binary"
                  },
                  "document_type": {
                    "type": "string",
                    "description": "A category given to the document, can be `null`.",
                    "enum": [
                      "articles_of_incorporation",
                      "certificate_of_good_standing",
                      "ein_letter",
                      "generic",
                      "identification_back",
                      "identification_front",
                      "proof_of_address",
                      "written_statement_of_unauthorized_debit"
                    ]
                  }
                }
              }
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://app.moderntreasury.com/api/documents \\\n     --header 'Content-Type: multipart/form-data'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```